X
点击这里打开本站的移动版本。
您的 Firefox 已过期,且可能包含安全隐患! 升级 Firefox

技术支持论坛

java platform se 7 u is vunerable iv tried updating still the same problem how do i fix this?

发布于

when i try to use this add on i get that error message and tells me to update it after updating it the problem continues.

补充系统细节

已安装的插件

  • Shockwave Flash 11.7 r700
  • Conduit Plugin
  • np-mswmp
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.03
  • Google Update
  • Adobe Shockwave for Director Netscape plug-in, version 12.0.2.122
  • GEPlugin
  • 5.1.20125.0
  • Facebook Video Calling Plugin
  • Next Generation Java Plug-in 10.7.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • iTunes Detector Plug-in

应用程序

  • Firefox 21.0
  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:21.0) Gecko/20100101 Firefox/21.0
  • 技术支持网址: http://support.mozilla.org/1/firefox/21.0/WINNT/en-GB/

扩展

  • Personas Plus 1.7.2.1 (personas@christopher.beard)
  • Troubleshooter 1.1a (troubleshooter@mozilla.org)
  • uTorrentControl_v2 10.16.2.509 ({7473b6bd-4691-4744-a82b-7854eb3d70b6})

Javascript

  • incrementalGCEnabled: True

图形

  • adapterDescription: Intel(R) HD Graphics Family
  • adapterDescription2:
  • adapterDeviceID: 0x0106
  • adapterDeviceID2:
  • adapterDrivers: igdumd64 igd10umd64 igd10umd64 igdumdx32 igd10umd32 igd10umd32
  • adapterDrivers2:
  • adapterRAM: Unknown
  • adapterRAM2:
  • adapterVendorID: 0x8086
  • adapterVendorID2:
  • direct2DEnabled: True
  • directWriteEnabled: True
  • directWriteVersion: 6.2.9200.16492
  • driverDate: 6-10-2011
  • driverDate2:
  • driverVersion: 8.15.10.2418
  • driverVersion2:
  • info: {u'AzureCanvasBackend': u'direct2d', u'AzureFallbackCanvasBackend': u'cairo', u'AzureContentBackend': u'direct2d'}
  • isGPU2Active: False
  • numAcceleratedWindows: 2
  • numTotalWindows: 2
  • webglRenderer: Google Inc. -- ANGLE (Intel(R) HD Graphics Family)
  • windowLayerManagerType: Direct3D 10

修改过的首选项

  • accessibility.typeaheadfind.flashBar: 0
  • browser.cache.disk.capacity: 358400
  • browser.cache.disk.smart_size.first_run: False
  • browser.cache.disk.smart_size.use_old_max: False
  • browser.cache.disk.smart_size_cached_value: 358400
  • browser.display.background_color: #C0C0C0
  • browser.display.use_system_colors: True
  • browser.places.smartBookmarksVersion: 4
  • browser.search.param.yahoo-fr: chr-greentree_ff&type=642886&ilc=12
  • browser.startup.homepage: http://www.google.co.uk/
  • browser.startup.homepage_override.buildID: 20130511120803
  • browser.startup.homepage_override.mstone: 21.0
  • dom.mozApps.used: True
  • dom.w3c_touch_events.expose: False
  • extensions.lastAppVersion: 21.0
  • font.internaluseonly.changed: False
  • gfx.direct3d.prefer_10_1: True
  • network.cookie.prefsMigrated: True
  • places.database.lastMaintenance: 1371493680
  • places.history.expiration.transient_current_max_pages: 103491
  • places.history.expiration.transient_optimal_database_size: 165585222
  • plugin.disable_full_page_plugin_for_types: application/pdf
  • privacy.sanitize.migrateFx3Prefs: True
  • privacy.sanitize.timeSpan: 0
  • security.warn_viewing_mixed: False

杂项

  • 使用user.js:否
  • 辅助功能:否
philipp
  • Top 10 Contributor
  • Moderator
2042 个解决方法 8891 个回答

hello, first uninstall old versions of java as described at http://java.com/en/download/faq/remove_olderversions.xml

afterwards go to java.com and download the current version of the plugin (in case you're asked if you want to install the 32bit or 64bit version, for firefox you'll have to choose the 32bit variant of the plugin, since firefox on windows is a 32bit browser).